This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 517165 - [RFE] Kickstarting over PXE needs files from repos to be available locally
[RFE] Kickstarting over PXE needs files from repos to be available locally
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2009-08-12 15:29 EDT by Sandro Mathys
Modified: 2015-10-09 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2009-08-12 15:29:38 EDT
I have a channel with a yum repo associated. When I want to kickstart it (over PXE), I need to have stage2.img/vmlinuz/initrd.img/repodata available locally - why isn't that imported from the repo, too? Well, repodata are generated in spacewalk for each channel anyway, right? Why not use that?
Comment 1 Jan Hutař 2010-08-24 04:15:13 EDT
Hello,
I would like to confirm some expectations here:

1) As stage2.img/vmlinuz/initrd.img files are not part of the repository, you have to use Systems -> Kickstart -> Distributions -> create new distribution to add them. This should work.

2) For repodata issue (Spacewalk is not generating repodata for channel which is syncing from yum repo) I can not confirm this is still an issue on recent Spacewalks. Do you still see it?

Thanks for the answers,
Jan
Comment 2 Sandro Mathys 2010-08-24 06:23:25 EDT
(In reply to comment #1)
Hi Jan,

> 1) As stage2.img/vmlinuz/initrd.img files are not part of the repository, you
> have to use Systems -> Kickstart -> Distributions -> create new distribution to
> add them. This should work.

It does work, but the files still have to be on the local disk AFAIK. What sense is there that any org admin can create and sync new (base) channels but not new distributions necessary to kicsktart with the base channel?

> 2) For repodata issue (Spacewalk is not generating repodata for channel which
> is syncing from yum repo) I can not confirm this is still an issue on recent
> Spacewalks. Do you still see it?

Okay, I didn't know it works like that.

Either way, this bug/rfe is about having the possibility to sync the images necessary for the kickstart distribution over the WebUI instead of having to wget them to the server and then creating the distribution with local paths.

So I just want to specify the URL for the folder with all the images in it on any mirror (or, if necessary to all files needed instead of just to the folder).

Additionally it would be helpful if every image file is only kept once on the hard disk, just like with the rpm files.
Comment 3 Jan Hutař 2010-08-24 06:55:42 EDT
(In reply to comment #2)
> Either way, this bug/rfe is about having the possibility to sync the images
> necessary for the kickstart distribution over the WebUI instead of having to
> wget them to the server and then creating the distribution with local paths.
> 
> So I just want to specify the URL for the folder with all the images in it on
> any mirror (or, if necessary to all files needed instead of just to the
> folder).
> 
> Additionally it would be helpful if every image file is only kept once on the
> hard disk, just like with the rpm files.

I see & thanks for the clarification.
Comment 5 Jan Pazdziora 2010-11-19 11:03:24 EST
Mass-moving to space13.
Comment 6 Miroslav Suchý 2011-04-11 03:32:06 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 7 Miroslav Suchý 2011-04-11 03:36:36 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 8 Jan Pazdziora 2011-07-20 07:49:51 EDT
Aligning under space16.

Note You need to log in before you can comment on or make changes to this bug.